Subject: [FEniCS-apps] Common functions

From: Anders Logg <[email-masked]>
Date: Fri, 6 Nov 2009 10:27:30 +0100

Harish,

I've looked at the design of the classes in Twist which looks
good. I've tried to do something similar in Flow. Perhaps you can take
a look at the code in Flow and see if there are any ideas/design that
can be used in Twist?

Some specific suggestions:

1. I've placed the problem base classes in problems.py. Perhaps you
can do the same in Twist (no need for "hyperelastic_" since it's
already under Twist?).

2. I've started putting a simple NS solver into solvers.py. Perhaps
that would be a suitable name also in Twist?

3. The _parameters_as_function seems useful. It can be moved to
cbc.common.utils and renamed parameter_as_function.

--
Anders